Subject: Re: [16NG] [nwg-chair] NWG feedback on 16ng's IPv4 CS draft

From: Wesley George <[email-masked]>
Date: Fri, 15 May 2009 12:53:40 -0400 (EDT)

Is someone working on an updated version of this draft to be reviewed in 
Stockholm since we did not meet in SFO? I believe that one of the first 
times that I submitted objections to the MTU language, I provided a 
proposed text that would cover some of the concerns raised below, not all 
of which was included in subsequent drafts.
http://www.ietf.org/mail-archive/web/16ng/current/msg00824.html

Thanks,
Wes

_________________________________________
   Wesley George
 	Sprint IP Engineering
   703-689-7505 (O)  703-864-4902 (PCS)
         http://www.sprint.net
_________________________________________

On Thu, 12 Feb 2009, Riegel, Maximilian (NSN - DE/Munich) wrote:

> Gabriel,
>
> The WiMAX Forum NWG reviewed section 4-3 and Appendix C of
> draft-ietf-16ng-ipv4-over-802-dot-16-ipcs-04.txt and would like to make
> a couple of remarks on the MTU issue:
>
> - The I-D is not very clear about the MTU issues appearing in an IPv4
> over IEEE 802.16 transmission system. The ambiguities mainly result out
> of the vague definition of the IEEE 802.16 link comprising both the
> radio part of the link as well as the part of the link between BS and
> AR, when the functions are located in different entities.
>
> - Section 4.3 in particular misses the discussion of the dependencies
> between MTU size and the tunneling protocol deployed between BS and AR.
>
> - Section 4.3 also misses, that there is no packet loss when the MTU
> size limitation is caused by the encapsulation overhead on the link
> between BS and AR. E.g. when GRE is used for the tunnel between BS and
> AR, the transport IP layer can fragment the GRE packets to fit the
> transport MTU on the link between BS and AR. Reassembly in the tunnel
> endpoint at the AR will re-establish the original user IP packet.
>
> - Please note that the reason of the WiMAX NWG to limit the MTU going
> over IPv4-CS to 1400 Bytes was to avoid fragmentation on the link
> between BS and ASN-GW as well as on the link between ASN-GW and CSN (MIP
> tunnel). Fragmentation and re-assembly require considerable processing
> power in the network elements.
>
> - Appendix C makes statements which would require more detailed review
> of the I-D by WiMAX NWG. In particular 'The addressing and operation of
> IPv4-CS described in this document are applicable to the WiMAX networks
> as well' has not been verified yet.
> Furthermore 'Thus, WiMAX MS nodes should use this default (1400) MTU
> value per the current specification [WMF].  However, due to reasons
> specified in section 4.3 above, it is strongly recommended that future
> WiMAX MS nodes support a default MTU of 1500 bytes, and that they
> implement MTU negotiation capabilities as mentioned in this document.'
> makes recommendations to WiMAX without understanding the real reasons
> for the limitation of the MTU size in Mobile WiMAX.
>
> We would recommend to 16ng to revise the sections on MTU size to better
> explain the underlying issues leading to restrictions in the MTU size.
> In particular the influence of tunneling inside the network should be
> carefully discussed.
> In addition we would kindly ask to either remove whole Appendix C on the
> WiMAX MTU size or revise the text explaining the real issues in the
> WiMAX architecture. In particular the statements on the applicability of
> the I-D on the WiMAX architecture and the recommendation on future
> modifications in the WiMAX architecture seem not to be very appropriate
> to us.
>
>
> Bye
> Max
> Vize Chair NWG
>
>
> ________________________________
>
> From: ext Gabriel Montenegro [mailto:[email-masked]]
> Sent: Monday, November 03, 2008 11:59 AM
> To: [email-masked]
> Cc: 'Daniel Soohong Park'
> Subject: [nwg-chair] NWG feedback on 16ng's IPv4 CS draft
>
>
>
> Prakash, Max and Yong Chang,
>
>
> The IETF 16ng WG has published a revision of this draft:
>
> "Transmission of IPv4 packets over IEEE 802.16's IP Convergence
> Sublayer"
>
> Per this announcement:
>
> http://www.ietf.org/mail-archive/web/16ng/current/msg00863.html
> <http://www.ietf.org/mail-archive/web/16ng/current/msg00863.html>
>
> We understand that this specification currently is not normative to NWG
> (as opposed to RFC5121 on IPv6 CS). Nevertheless, given its relevance,
> and with the hope it may become normative to NWG in some future
> revision, the 16ng WG would like to solicit feedback from NWG on this
> draft.
>
> In particular, please note that this draft specifies a default MTU of
> 1500,  which is different from the WiMAX-specified MTU of 1400 (per the
> recently approved R1_V1.3.0-Stage-3  NWG specifications).  For MTU
> discussion, please refer to these sections:
>
> http://tools.ietf.org/html/draft-ietf-16ng-ipv4-over-802-dot-16-ipcs-04#
> section-4.3
> <http://tools.ietf.org/html/draft-ietf-16ng-ipv4-over-802-dot-16-ipcs-04
> #section-4.3>
> http://tools.ietf.org/html/draft-ietf-16ng-ipv4-over-802-dot-16-ipcs-04#
> appendix-C
> <http://tools.ietf.org/html/draft-ietf-16ng-ipv4-over-802-dot-16-ipcs-04
> #appendix-C>
>
> The 16ng WG will next meet on Nov 18 during the IETF in Minneapolis
> (https://datatracker.ietf.org/meeting/73/agenda.html). If at all
> possible, it would be best if comments were received before that date in
> order for the WG to discuss them during the meeting.
>
> Please send your comments to the [email-masked] <mailto:[email-masked]>
> mailing list.
>
> Thanks,
>
> Gabriel and Daniel
> 16ng co-chairs
>
>
>
>

---

From: "Samita Chakrabarti" <[email-masked]>
Date: Fri, 15 May 2009 11:15:38 -0700

Hi Wes,

Yes, there will be an updated draft before Stockholm. Gabriel was working on
the updates.

I am expecting that we will soon have a revision to review.

Thanks,
-Samita

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Wesley George
> Sent: Friday, May 15, 2009 9:54 AM
> To: Riegel, Maximilian (NSN - DE/Munich)
> Cc: ext Alper Yegin; ext Gabriel Montenegro; [email-masked]
> Subject: Re: [16NG] [nwg-chair] NWG feedback on 16ng's IPv4 CS draft
> 
proposed
> text that would cover some of the concerns raised below, not all of which
> was included in subsequent drafts.
> > draft-ietf-16ng-ipv4-over-802-dot-16-ipcs-04.txt and would like to
> > make a couple of remarks on the MTU issue:
> >
> > over IEEE 802.16 transmission system. The ambiguities mainly result
> > out of the vague definition of the IEEE 802.16 link comprising both
> > the radio part of the link as well as the part of the link between BS
> > and AR, when the functions are located in different entities.
> >
> > between BS and ASN-GW as well as on the link between ASN-GW and CSN
> > (MIP tunnel). Fragmentation and re-assembly require considerable
> > processing power in the network elements.
> >
> > of the I-D by WiMAX NWG. In particular 'The addressing and operation
> > of IPv4-CS described in this document are applicable to the WiMAX
> > networks as well' has not been verified yet.
> > We would recommend to 16ng to revise the sections on MTU size to
> > better explain the underlying issues leading to restrictions in the MTU
> size.
> > In addition we would kindly ask to either remove whole Appendix C on
> > the WiMAX MTU size or revise the text explaining the real issues in
> > the WiMAX architecture. In particular the statements on the
> > applicability of the I-D on the WiMAX architecture and the
> > recommendation on future modifications in the WiMAX architecture seem
> > not to be very appropriate to us.
> >
> >
> > Bye
> > Max
> > Vize Chair NWG
> >
> >
> > We understand that this specification currently is not normative to
> > NWG (as opposed to RFC5121 on IPv6 CS). Nevertheless, given its
> > relevance, and with the hope it may become normative to NWG in some
> > future revision, the 16ng WG would like to solicit feedback from NWG
> > on this draft.
> >
> > 1500,  which is different from the WiMAX-specified MTU of 1400 (per
> > the recently approved R1_V1.3.0-Stage-3  NWG specifications).  For MTU
> > possible, it would be best if comments were received before that date
> > in order for the WG to discuss them during the meeting.
> >
> _______________________________________________
> 16NG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/16ng

---

From: Gabriel Montenegro <[email-masked]>
Date: Fri, 15 May 2009 11:20:34 -0700

yes, I've been delinquently holding to the pen.
Lets shoot for end of the month at the latest.
________________________________
From: Samita Chakrabarti [[email-masked]]
Sent: Friday, May 15, 2009 11:15 AM
To: 'Wesley George'; 'Riegel, Maximilian (NSN - DE/Munich)'
Cc: 'ext Alper Yegin'; Gabriel Montenegro; [email-masked]
Subject: RE: [16NG] [nwg-chair] NWG feedback on 16ng's IPv4 CS draft

Hi Wes,

Thanks,
-Samita

proposed
>          http://www.sprint.net<http://www.sprint.net/>

---

From: "Riegel, Maximilian (NSN - DE/Munich)" <[email-masked]>
Date: Mon, 18 May 2009 09:18:33 +0200

Is there really a demand to work on an update of the IPv4-CS I-D?
Which details would require/qualify for an IETF specification?
The current architectural model closely resembles the WiMAX
architecture, and WiMAX provides a comprehensive specification for it.
 
Bye
Max

From: ext Gabriel Montenegro [mailto:[email-masked]] 
Sent: Friday, May 15, 2009 8:21 PM
To: Samita Chakrabarti; 'Wesley George'; Riegel, Maximilian (NSN -
DE/Munich)
Cc: 'ext Alper Yegin'; [email-masked]
Subject: RE: [16NG] [nwg-chair] NWG feedback on 16ng's IPv4 CS draft

Hi Wes,

Yes, there will be an updated draft before Stockholm. Gabriel was
working on
the updates.

Thanks,
-Samita

proposed
>          http://www.sprint.net <http://www.sprint.net/> 
> > From: ext Gabriel Montenegro
[mailto:[email-masked]]
> > discussion, please refer to these sections:
http://tools.ietf.org/html/draft-ietf-16ng-ipv4-over-802-dot-16-ipcs-0
> > 4#
<http://tools.ietf.org/html/draft-ietf-16ng-ipv4-over-802-dot-16-ipcs-
> > 04
http://tools.ietf.org/html/draft-ietf-16ng-ipv4-over-802-dot-16-ipcs-0
> > 4#
<http://tools.ietf.org/html/draft-ietf-16ng-ipv4-over-802-dot-16-ipcs-
> > 04

---

From: Wesley George <[email-masked]>
Date: Mon, 18 May 2009 08:10:03 -0400 (EDT)

Max, I'm confused. Your message (snipped up below) was what caused me to 
ask about a new draft. It seemed that WiMax Forum raised some concerns 
about unclear language in their review, and I was under the impression 
that this would require an update to the draft language to address them. 
Please clarify what you meant if that was not the intent of the below 
message.

Thanks,
Wes

---

From: "Samita Chakrabarti" <[email-masked]>
Date: Mon, 18 May 2009 11:44:47 -0700

Hi Max,

As I understand from NWG feedback that they did not like IETF to recommend
1500 byte MTU size (Appendix section) for future revision of NWG Wimax
specs.  Other than that there are minor editorial changes that we want to do
to polish the draft. 

> > not to be very appropriate to us.

What is your suggestion on updating Appendix C? 

Thanks,

-Samita

From: Riegel, Maximilian (NSN - DE/Munich)
[mailto:[email-masked]] 
Sent: Monday, May 18, 2009 12:19 AM
To: ext Gabriel Montenegro; Samita Chakrabarti; Wesley George
Cc: ext Alper Yegin; [email-masked]
Subject: RE: [16NG] [nwg-chair] NWG feedback on 16ng's IPv4 CS draft

The current architectural model closely resembles the WiMAX architecture,
and WiMAX provides a comprehensive specification for it.

Bye

Max

  _____  

  _____  

Hi Wes,

Thanks,
-Samita

proposed

---

From: gabriel montenegro <[email-masked]>
Date: Tue, 19 May 2009 09:38:58 -0700 (PDT)

I think what we need (my intention) is not more details, but less. I agree that there is
some overlap with the WiMAX spec. We should simply refer to WiMAX for the WiMAX-specifics, 
and drop the recommendation that WiMAX should adopt this spec. Given the difference in MTU,
I won't hold my breath for them to do so, but it's really their business. 

________________________________
From: Samita Chakrabarti <[email-masked]>
To: "Riegel, Maximilian (NSN - DE/Munich)" <[email-masked]>; ext Gabriel Montenegro <[email-masked]>; Wesley George <[email-masked]>
Cc: ext Alper Yegin <[email-masked]>; [email-masked]
Sent: Monday, May 18, 2009 11:44:47 AM
Subject: Re: [16NG] [nwg-chair] NWG feedback on 16ng's IPv4 CS draft

Hi Max,
 
As I understand from NWG feedback that they did not like IETF to recommend 1500 byte MTU size (Appendix section) for future revision of NWG Wimax specs.  Other than that there are minor editorial changes that we want to do to polish the draft. 

 
Thanks,
-Samita

From:Riegel, Maximilian (NSN - DE/Munich) [mailto:[email-masked]] 
 
Is there really a demand to work on an update of the IPv4-CS I-D?
Which details would require/qualify for an IETF specification?
The current architectural model closely resembles the WiMAX architecture, and WiMAX provides a comprehensive specification for it.
 
Bye
Max

From:ext Gabriel Montenegro [mailto:[email-masked]] 
Sent: Friday, May 15, 2009 8:21 PM
To: Samita Chakrabarti; 'Wesley George'; Riegel, Maximilian (NSN - DE/Munich)
Cc: 'ext Alper Yegin'; [email-masked]
Subject: RE: [16NG] [nwg-chair] NWG feedback on 16ng's IPv4 CS draft
yes, I've been delinquently holding to the pen.
Lets shoot for end of the month at the latest.

From:Samita Chakrabarti [[email-masked]]

Thanks,
-Samita

proposed
>          http://www.sprint.net/

---

From: "Riegel, Maximilian (NSN - DE/Munich)" <[email-masked]>
Date: Tue, 19 May 2009 23:06:40 +0200

Wesley, WiMAX Forum recommends that 16ng is not trying to redefine the
WiMAX Forum network design.
Not only appendix C but also other sections in the specification are
highly focused on the particularities of the WiMAX network architecture
- but with a couple of ambiguities, which would require a considerable
rewrite of large portions of the specification.
If we assume that the deployment of IPv4-CS in the WiMAX network
architecture is sufficiently specified by the documents of the WiMAX
Forum, the question arises, which issues are left the 16ng I-D on
IPv4-CS. From a WiMAX Forum perspective there is no harm, if the IPv4-CS
I-D would not exist. The WiMAX Forum makes references to the IPv6-CS
specification as well as to the IPoETH-CS specification, but not to the
IPv4-CS specification.

Hope this provides some insights why I wonder about the effort to clean
up the IPv4-CS specification.

Bye
Max

-----Original Message-----
From: ext Wesley George [mailto:[email-masked]] 
Sent: Monday, May 18, 2009 2:10 PM
To: Riegel, Maximilian (NSN - DE/Munich)
Cc: ext Gabriel Montenegro; Samita Chakrabarti; ext Alper Yegin;
[email-masked]

Thanks,
Wes

---

From: "Samita Chakrabarti" <[email-masked]>
Date: Tue, 19 May 2009 14:59:05 -0700

Agreed. 

Default MTU is 1500  - if WiMAX does not want to update their SPEC or does
not want to conform to this IETF draft, it is SDO business. Thus we can move
forward  independently.

Thanks,

-Samita

From: gabriel montenegro [mailto:[email-masked]] 
Sent: Tuesday, May 19, 2009 9:39 AM
To: Samita Chakrabarti; Riegel, Maximilian (NSN - DE/Munich); Wesley George
Cc: ext Alper Yegin; [email-masked]
Subject: Re: [16NG] [nwg-chair] NWG feedback on 16ng's IPv4 CS draft

I think what we need (my intention) is not more details, but less. I agree
that there is

some overlap with the WiMAX spec. We should simply refer to WiMAX for the
WiMAX-specifics, 

and drop the recommendation that WiMAX should adopt this spec. Given the
difference in MTU,

  _____  

From: Samita Chakrabarti <[email-masked]>
To: "Riegel, Maximilian (NSN - DE/Munich)" <[email-masked]>; ext
Gabriel Montenegro <[email-masked]>; Wesley George
<[email-masked]>
Cc: ext Alper Yegin <[email-masked]>; [email-masked]
Sent: Monday, May 18, 2009 11:44:47 AM
Subject: Re: [16NG] [nwg-chair] NWG feedback on 16ng's IPv4 CS draft

Hi Max,

Thanks,

-Samita

Bye

Max

  _____  

  _____  

Hi Wes,

Thanks,
-Samita

proposed

---

From: "Riegel, Maximilian (NSN - DE/Munich)" <[email-masked]>
Date: Wed, 20 May 2009 11:11:31 +0200

My point is not the MTU size, I am concerned about the quality of the
current document. There are a number of ambiguities and misconceptions,
which would require some efforts for resolving. I once did an approach
to create a submission to the mailing list and gave up after an hour
seeing that it requires more text to explain the issues in the document
than just rephrasing the text.
 
Would it be possible to held a conference call to discuss the readiness
of the IPv4-CS I-D?
 
Bye
Max

From: ext Samita Chakrabarti [mailto:[email-masked]] 
Sent: Tuesday, May 19, 2009 11:59 PM
To: 'gabriel montenegro'; Riegel, Maximilian (NSN - DE/Munich); 'Wesley
George'
Cc: 'ext Alper Yegin'; [email-masked]
Subject: RE: [16NG] [nwg-chair] NWG feedback on 16ng's IPv4 CS draft

Agreed. 

Default MTU is 1500  - if WiMAX does not want to update their SPEC or
does not want to conform to this IETF draft, it is SDO business. Thus we
can move forward  independently.

Thanks,

-Samita

To: Samita Chakrabarti; Riegel, Maximilian (NSN - DE/Munich); Wesley
George

I think what we need (my intention) is not more details, but less. I
agree that there is

some overlap with the WiMAX spec. We should simply refer to WiMAX for
the WiMAX-specifics, 

I won't hold my breath for them to do so, but it's really their
business. 

From: Samita Chakrabarti <[email-masked]>
To: "Riegel, Maximilian (NSN - DE/Munich)" <[email-masked]>;
ext Gabriel Montenegro <[email-masked]>; Wesley George
<[email-masked]>
Cc: ext Alper Yegin <[email-masked]>; [email-masked]
Sent: Monday, May 18, 2009 11:44:47 AM
Subject: Re: [16NG] [nwg-chair] NWG feedback on 16ng's IPv4 CS draft

Hi Max,

As I understand from NWG feedback that they did not like IETF to
recommend 1500 byte MTU size (Appendix section) for future revision of
NWG Wimax specs.  Other than that there are minor editorial changes that
we want to do to polish the draft. 

Thanks,

-Samita

Bye

Max

Hi Wes,

Thanks,
-Samita

proposed

---

From: gabriel montenegro <[email-masked]>
Date: Wed, 20 May 2009 08:41:46 -0700 (PDT)

Let's wait till the next version appears (ETA: end of this month) as hopefully that version
will require less fixes.

________________________________
From: "Riegel, Maximilian (NSN - DE/Munich)" <[email-masked]>
To: ext Samita Chakrabarti <[email-masked]>; gabriel montenegro <[email-masked]>; Wesley George <[email-masked]>
Cc: ext Alper Yegin <[email-masked]>; [email-masked]
Sent: Wednesday, May 20, 2009 2:11:31 AM
Subject: Re: [16NG] [nwg-chair] NWG feedback on 16ng's IPv4 CS draft

My point is not the MTU size, I am concerned about the quality of the current document. There are a number of ambiguities and misconceptions, which would require some efforts for resolving. I once did an approach to create a submission to the mailing list and gave up after an hour seeing that it requires more text to explain the issues in the document than just rephrasing the text.
 
Would it be possible to held a conference call to discuss the readiness of the IPv4-CS I-D?
 
Bye
Max

To: 'gabriel montenegro'; Riegel, Maximilian (NSN - DE/Munich); 'Wesley George'

Agreed. 
Default MTU is 1500  - if WiMAX does not want to update their SPEC or does not want to conform to this IETF draft, it is SDO business. Thus we can move forward  independently.
 
Thanks,
-Samita
 
From:gabriel montenegro [mailto:[email-masked]] 

From:Samita Chakrabarti <[email-masked]>

 
Thanks,
-Samita

 
Bye
Max

Thanks,
-Samita

proposed